Bug 452985 - dhcpd-ldap doesn't find it's configuration
dhcpd-ldap doesn't find it's configuration
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
9
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-26 09:20 EDT by Razvan
Modified: 2008-12-06 23:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-06 23:16:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Razvan 2008-06-26 09:20:31 EDT
Description of problem:
dhcpd-ldap dies with message "Cannot find LDAP entry ..."

I mention that it worked on previous releases with the same configuration.
Comment 1 Razvan 2008-06-27 05:28:27 EDT
I have made a patch witch works for me.

--- dhcp-4.0.0-ldap-configuration.patch.orig    2008-02-07 02:47:26.000000000 +0200
+++ dhcp-4.0.0-ldap-configuration.patch 2008-06-27 12:19:50.000000000 +0300
@@ -1073,7 +1073,7 @@
 +      creds.bv_val = strdup(ldap_password);
 +      creds.bv_len = strlen(ldap_password);
 +
-+      if ((ret == ldap_sasl_bind_s (ld, ldap_username, LDAP_SASL_SIMPLE,
++      if ((ret = ldap_sasl_bind_s (ld, ldap_username, LDAP_SASL_SIMPLE,
 +                                    &creds, NULL, NULL, NULL)) != LDAP_SUCCESS)
 +        {
 +          log_error ("Error: Cannot login into ldap server %s:%d: %s",
@@ -1478,7 +1478,7 @@
 +    return (EOF);
 +
 +  cfile->bufix = 1;
-+  cfile->buflen = strlen (cfile->inbuf);
++  cfile->buflen = strlen (cfile->inbuf) - 1;
 +  if (cfile->buflen > 0)
 +    ldap_write_debug (cfile->inbuf, cfile->buflen);
 +
Comment 2 Razvan 2008-09-29 03:04:16 EDT
After the updates, it still crashes with "Error: Cannot login into ldap server ... : Success" ... please do something before you release the next update.
Comment 3 Fedora Update System 2008-09-30 19:50:11 EDT
dhcp-4.0.0-19.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/dhcp-4.0.0-19.fc9
Comment 4 Fedora Update System 2008-10-01 17:09:52 EDT
dhcp-4.0.0-20.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/dhcp-4.0.0-20.fc9
Comment 5 Fedora Update System 2008-10-03 18:33:13 EDT
dhcp-4.0.0-20.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8594
Comment 6 Fedora Update System 2008-10-29 20:59:58 EDT
dhcp-4.0.0-21.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/dhcp-4.0.0-21.fc9
Comment 7 Fedora Update System 2008-10-30 08:56:49 EDT
dhcp-4.0.0-21.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9302
Comment 8 Fedora Update System 2008-11-11 17:03:39 EST
dhcp-4.0.0-22.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/dhcp-4.0.0-22.fc9
Comment 9 Fedora Update System 2008-11-12 22:35:23 EST
dhcp-4.0.0-22.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9615
Comment 10 Fedora Update System 2008-12-06 23:16:05 EST
dhcp-4.0.0-22.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.